function [Mfrimed Mfripc025 Mfripc975]=bandfri(results,NAR,N,M,P,simul)
% grafico: por filas est el shock y por columnas la reaccin de cada
% variable
MMfri=[];
for jj=1:simul
    
VMU=[];
VSIGMA=[];
for j=1:N
    MU= results(j).beta(1:N*NAR);
    VMU=[VMU;MU];
    tstat = results(j).tstat(1:N*NAR);
    std=MU./tstat;
    VSIGMA=[VSIGMA;std];
end
R=normrnd(VMU,VSIGMA/10);

A=[];
for i=1:N
    A=[A;R((i-1)*N*NAR+1:i*N*NAR)'];
end

MPHI=zeros(N,N*NAR);
for i=1:NAR
    PHI=zeros(N,N);
    for j=1:N
        PHI(:,j)=A(:,(j-1)*NAR+i);
    end
    MPHI(:,(i-1)*N+1:i*N)=PHI;
end

MMA=vma(MPHI,NAR,N,M);
MMAt=MMA*P';
friN=[];
for j=1:N
    for i=1:M
        frij(:,i)=MMAt((i-1)*N+1:i*N,j);
    end
    friN=[friN;frij];
end
Mfri=[];
plotct=0;
for i=1:N;
    plotct = plotct + 1;
    plotdata = friN((i-1)*N+1:i*N,:)';
    Mfri=[Mfri plotdata];
    if plotct == N, break,  end
end

MMfri=[MMfri Mfri];
end

Mfrimed=[];
Mfripc025=[];
Mfripc975=[];
for jj=1:N*N
    x=[];
    for ii=1:simul
        x1=MMfri(:,(ii-1)*N*N+jj);
        x=[x x1];
    end
    frimed=median(x')';
    fripc025=prctile(x',5)';
    fripc975=prctile(x',95)';
    
    Mfrimed=[Mfrimed frimed];
    Mfripc025=[Mfripc025 fripc025];
    Mfripc975=[Mfripc975 fripc975];
end

figure;
for kk=1:N*N
    subplot(N,N,kk);
    plot([Mfrimed(:,kk) Mfripc025(:,kk) Mfripc975(:,kk)]);
end


