clear
load datos.prn -ascii;
lp=100*log(datos(:,1));
ly=100*log(datos(:,6));
lm2=100*log(datos(:,3));
Y=[lp ly lm2];
% will print results to the MATLAB command window
% set flag for Sim's correction factor
sims = 1;
maxlag = 12;
minlag = 3;
lrratio(Y,maxlag,minlag,sims);
%
NAR=6;
M=50;
%
N=size(Y,2);
results=fvar(Y,NAR);
MPHI=mphi(results,NAR,N);
%Calculando la matriz de varianzas y covarianzas
for i = 1:N
    err(:,i) = results(i).resid;
end
Omega = err'*err/rows(err);
P=chol(Omega); %factorizacin de Choleski
vnames =  ['lCPI     ',
           'lGDP     ',    
           'lM2      '];
plt_var(results,vnames);
prt_var(results,vnames);
[MFRI,MMA]=fri(results,MPHI,NAR,N,M,P,vnames);
bigV=eye(N,N);
PSI=MMA*P';
[varvec vardecm]=devar(N,M,PSI,bigV);

%simul=1000;
%[Mfrimed Mfripc025 Mfripc975]=bandfri(results,NAR,N,M,P,simul);