clear
load datosBQ.prn -ascii;
ly=log(datosBQ(:,1));
dly=100*(ly(2:length(ly))-ly(1:length(ly)-1));
u=datosBQ(2:length(ly),3);
Y=[dly u];
contr=1; %si es =0, entonces ident. Cholesky; si es =1, entonces identificacin BQ
% will print results to the MATLAB command window
% set flag for Sim's correction factor
sims = 1;
maxlag = 12;
minlag = 3;
lrratio(Y,maxlag,minlag,sims);
%
NAR=8;
M=50;
%
N=size(Y,2);
results=fvar(Y,NAR);
MPHI=mphi(results,NAR,N);
%Calculando la matriz de varianzas y covarianzas
for i = 1:N
    err(:,i) = results(i).resid;
end
Omega = err'*err/rows(err);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Identificacin
if contr==0
    % Identificacin Cholesky
    P=chol(Omega); %factorizacin de Choleski
end

if contr==1
    %identificacin de Blanchard y Quah
    sumc11=0;sumc12=0;
    MMA=vma(MPHI,NAR,N,M)
    for i=1:length(MMA)/2
        sumc11=sumc11+MMA(2*i-1,1);
        sumc12=sumc12+MMA(2*i-1,2);
    end
    a0=[1 0;0 1];
    options=optimset('Display','Iter','MaxFunEvals',100,'MaxIter',100,'TolFun',0.00001);
    a1=fsolve('identbq',a0,options,Omega,sumc11,sumc12);
    P=[a1(1) a1(2); a1(3) a1(4)];
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

vnames =  ['dlGDP    ',
           'u        '];
plt_var(results,vnames);
prt_var(results,vnames);
[MFRI,MMA]=fri(results,MPHI,NAR,N,M,P,vnames);
columna1=0; columna3=0;
for i=1:length(MFRI)
    columna1=columna1+MFRI(i,1);
    MFRI(i,1)=columna1;
    columna3=columna3+MFRI(i,3);
    MFRI(i,3)=columna3;
end

figure;
plot(MFRI(:,1:2));
figure;
plot(MFRI(:,3:4));


bigV=eye(N,N);

PSI=MMA*P';
[varvec vardecm]=devar(N,M,PSI,bigV);

%simul=1000;
%[Mfrimed Mfripc025 Mfripc975]=bandfri(results,NAR,N,M,P,simul);